Bug 190156 - Review Request: php-pear-HTTP
Summary: Review Request: php-pear-HTTP
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Aurelien Bompard
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Keywords:
: 197561 (view as bug list)
Depends On: 190252
Blocks: FE-ACCEPT
TreeView+ depends on / blocked
 
Reported: 2006-04-28 08:40 UTC by Remi Collet
Modified: 2007-11-30 22:11 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-02 20:45:39 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
petersen: fedora-cvs+


Attachments (Terms of Use)

Description Remi Collet 2006-04-28 08:40:13 UTC
Spec URL: http://remi.collet.free.fr/rpms/extras/php-pear-HTTP.spec
SRPM URL: http://remi.collet.free.fr/rpms/extras/php-pear-HTTP-1.4.0-2.fc5.src.rpm
Description: 
The HTTP class is a class with static methods for doing
miscellaneous HTTP related stuff like date formatting,
language negotiation or HTTP redirection.

Also see Bug #190066

Comment 1 Remi Collet 2006-04-30 07:21:12 UTC
Waiting for Bug #190252

Comment 2 Remi Collet 2006-05-06 18:02:19 UTC
New spec and SRPM using %{_datadir}/pear/.pkgxml

Spec URL: http://remi.collet.free.fr/rpms/extras/php-pear-HTTP.spec
SRPM URL: http://remi.collet.free.fr/rpms/extras/php-pear-HTTP-1.4.0-2.fc5.src.rpm

Build succeed with mock.

Comment 3 Aurelien Bompard 2006-05-20 09:06:53 UTC
Needs work:
 * don't remove the buildroot in %prep (it breaks rpmbuild -bi --short-circuit)
 * do the sanity check in %check
 * it would be nice to add "|| :" at the end of the pear lines in the scriptlets,
   to make sure they won't return a failure and block the whole rpm transaction

Minor:
 * Use "BuildArch:" instead of the full BuildArchitectures
 * Include the LICENCE as you did with php-pear-Mail. This is not a requirement 
   though (it would be if the tarball shipped the license, which is not the case
   here)


Comment 4 Remi Collet 2006-05-20 15:27:29 UTC
Spec URL: http://remi.collet.free.fr/rpms/extras/php-pear-HTTP.spec
SRPM URL: http://remi.collet.free.fr/rpms/extras/php-pear-HTTP-1.4.0-3.fc5.src.rpm
Mock Build.log :  http://remi.collet.free.fr/rpms/extras/php-pear-HTTP-build.log

- Require pear >= 1.4.9
- bundle the v3.01 PHP LICENSE file
- use --packagingroot (instead of -R)
- move check from install to check



Comment 5 Aurelien Bompard 2006-05-20 15:53:25 UTC
Review for release 3:
* RPM name is OK
* Source HTTP-1.4.0.tgz is the same as upstream
* Builds fine in mock
* rpmlint looks OK
* File list looks OK
* Works fine

APPROVED

Note : The line "%{__install} -m 644 -c %{SOURCE1} LICENSE" is more usually
found in %prep, but that's not a blocker.

Comment 6 Christopher Stone 2006-06-27 23:47:11 UTC
This package should have:
Requires(post):   php-pear >= 1.4.9
Requires(postun): php-pear >= 1.4.9

The dist tags should be removed from the %changelog
Use of ||: must be explained in spec file or removed


Comment 7 Paul Howarth 2006-06-28 07:52:06 UTC
(In reply to comment #6)
> Use of ||: must be explained in spec file or removed

The "||:" in the scriptlets should stay. In an rpm transaction involving
multiple packages (for example, an update of multiple php-pear-* packages), if
one of the scriptlets "fails", the rpm transaction stops at that point. This can
leave the system and its rpm database in a bad state. Supposing five packages
were updated and the %postun of the first one failed. The transaction would stop
at that point, leaving two copies of the other four packages installed.

See also http://www.fedoraproject.org/wiki/ScriptletSnippets where you'll find
many more examples of the use of this idiom.



Comment 8 Christopher Stone 2006-06-28 08:02:25 UTC
Okay, my bad then.  Remi: you can ignore my comments about ||: on all my reviews
of your packages.

Comment 9 Remi Collet 2006-07-03 20:45:57 UTC
Approved version 1.4.0-3 push to CVS.
Waiting for PHP guidelines before running the build and adding the last
suggestion (Comment #5 and #6).

Comment 10 Remi Collet 2006-07-15 08:56:28 UTC
*** Bug 197561 has been marked as a duplicate of this bug. ***

Comment 11 Remi Collet 2006-07-16 14:27:15 UTC
Spec URL: http://remi.collet.free.fr/rpms/extras/php-pear-HTTP.spec

Release 1.4.0-4 pushed to CVS (use the new /etc/rpm/macros.pear)
Waiting for PHP guidelines before running the build.

Comment 12 Kevin Fenzi 2006-09-02 20:45:39 UTC
Looks like the guidelines got finalized and this package was built and pushed 
out. I am going to close this NEXTRELEASE. Feel free to re-open if I am doing 
so in error. 

Comment 13 Remi Collet 2007-03-31 08:24:12 UTC
Package Change Request
======================
Package Name: php-pear-HTTP
New Branches: EL-5

Comment 14 Jens Petersen 2007-04-02 12:48:27 UTC
done


Note You need to log in before you can comment on or make changes to this bug.